2012年05月17日

redmine 2.0.0 インストール

Redmineも,最近はアップデートはかなり簡単にできるようになりましたね.
今回からプラグインフォルダが,vender/plugins の下ではなく,plugins とRoot直下になった点など,いくつか変更がありました.

きちんと測ったわけではないけど,Redmine2.0.0にしてから,起動時の開始時間がかなり早くなったような..これは嬉しい.


以下,やったことのメモ.
more read...
タグ:redmine ruby
posted by maplewine at 18:00| Comment(0) | TrackBack(0) | ruby | このブログの読者になる | 更新情報をチェックする

2012年05月16日

rmagick をWindowsでインストール

redmine でrmagick が無効のままなのが気に入らない(たまにはpng 出力したい時がある)のでやってみた.
ruby のバージョンは,pik で切り分けているのでそこから.
ruby 1.9.x には,rmagick を入れた環境がなかったので今回のような作業を行いました.
include/library の場所を教えてあげれば,インストールはあっさり出来ました.

% pik use 192

% gem i rmagick -- '--with-opt-include="C:\Program Files\ImageMagick-6.7.6-Q16\include" --with-opt-lib="C:\Program Files\ImageMagick-6.7.6-Q16\lib"'
Fetching: rmagick-2.13.1.gem (100%)
Temporarily enhancing PATH to include DevKit...
Building native extensions. This could take a while...
Successfully installed rmagick-2.13.1
1 gem installed



参考サイト:
"Windows + Ruby1.9.2 で RMagick を使う - 夜の Discovery"
http://d.hatena.ne.jp/kusakari/20110512/1305131842
more read...
タグ:ruby redmine Windows
posted by maplewine at 19:45| Comment(0) | TrackBack(0) | ruby | このブログの読者になる | 更新情報をチェックする

2012年05月14日

redmine 1.4.0 アップデート

最近,更新できなくてごめんなさい.
色々やったことはあるのですが..


現在の最新は,redmine1.4.2 だし,
もうすぐ2.0.0 が出そうですが,メモとして書いておきます.
でも,きれいにはまとめません.あくまで自分向け.

ruby 1.9.x 対応ということで色々躓きました.
まず,自分の環境がWindows なので,Rubyの切り替えにはpik を利用したのですが,
1.9.x 環境は普段使ってないのでgem を入れ直す必要があったこと,
そして,thin のインストールに手こずったことでしょうか.

まず,
% rake generate_session_store

とすると,エラーになります.
Some gems may need to be installed or updated.
Please run `bundle install --without development test`.

と.
でも,これを実行しようとすると,RMagickの最新版(?)1.3.x を入れようとして
どうしてもエラーになります.
これは,以下のコマンドを実行すればOk.

% bundle install --without development test rmagick


下記サイトを参考にしました.同じ現象.助かった.
"rmagick を回避した Redmine 1.4 (trunk) のインストール | プログラマーズ雑記帳" - http://webcache.googleusercontent.com/search?q=cache:DW1GmYleNWwJ:yohshiy.blog.fc2.com/blog-entry-112.html+&cd=5&hl=ja&ct=clnk&gl=jp&client=firefox-a

上記のインストールをしなくても,下記リンクからrmagick-win32の欄にあるRMagick-2.12.0-ImageMagick-6.5.6-8-Q8.zipを
ダウンロードして,中にあるImageMagick-6.5.6-8-Q8-windows-dll.exe を実行しインストール,
その後,同じフォルダの中にある,rmagick-2.12.0-x86-mswin32.gem をインストールすれば,入ります.
% gem install rmagick-2.12.0-x86-mswin32.gem


"RubyForge: RMagick: ファイルリスト" - http://rubyforge.org/frs/?group_id=12&release_id=39888

more read...
タグ:ruby redmine
posted by maplewine at 19:41| Comment(0) | TrackBack(0) | ruby | このブログの読者になる | 更新情報をチェックする